%define version  0.9.1
%define release  %mkrel 5
%define src_name honoka-plugin-skkdic

%define honoka_version   0.9.0

Name:       scim-honoka-plugin-skkdic
Summary:    An SKKdic search plugin for honoka
Version:    %{version}
Release:    %{release}
Group:      System/Internationalization
License:    GPL
URL:        http://nop.net-p.org/modules/pukiwiki/index.php?%5B%5Bhonoka%5D%5D
Source0:    http://nop.net-p.org/files/honoka/%{src_name}-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:      skkdic
BuildRequires: scim-honoka-devel >= %{honoka_version}
BuildRequires: automake
BuildRequires: libltdl-devel

%description
An SKKdic search plugin for honoka.


%prep
%setup -q -n %{src_name}-%{version}

%build
./bootstrap

%configure2_5x
# (tv) parallel build is broken:
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove devel files
rm -f $RPM_BUILD_ROOT/%{scim_plugins_dir}/honoka/*.{a,la}

%find_lang honoka-plugin-skkdic

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif


%files -f honoka-plugin-skkdic.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README.jp
%{scim_plugins_dir}/honoka/*.so


%changelog
* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.9.1-5mdv2009.1
+ Revision: 350123
- 2009.1 rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.1-4mdv2009.0
+ Revision: 242662
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Funda Wang <fundawang@mandriva.org>
    - fix url

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 0.9.1-2mdv2008.0
+ Revision: 79944
- Rebuild to put so into correct dir


* Sat Jul 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.1-1mdv2007.0
- new release
- remove patch0 (honoka-plugin-skkdic_set_skkdic_file.patch)
- (merged upstream)

* Mon Jun 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.0-1mdv2007.0
- first spec for Mandriva Linux

